%define upstream_name    OLE-Storage_Lite
%define upstream_version 0.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Simple Class for OLE document interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/OLE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
OLE::Storage_Lite allows you to read and write an OLE structured file. Please
refer OLE::Storage by Martin Schwartz.

OLE::Storage_Lite::PPS is a class representing PPS.
OLE::Storage_Lite::PPS::Root, OLE::Storage_Lite::PPS::File and
OLE::Storage_Lite::PPS::Dir are subclasses of OLE::Storage_Lite::PPS.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# perl path hack
find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
%make_build OPTIMIZE="%{optflags}"

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README sample
%{perl_vendorlib}/OLE
%{_mandir}/*/*

%changelog
* Mon Feb 20 2023 tv <tv> 0.220.0-1.mga9
+ Revision: 1944266
- update to 0.22

* Mon Mar 21 2022 umeabot <umeabot> 0.200.0-3.mga9
+ Revision: 1812217
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 0.200.0-2.mga8
+ Revision: 1542008
- Mageia 8 Mass Rebuild

* Sat Jan 04 2020 tv <tv> 0.200.0-1.mga8
+ Revision: 1475913
- update to 0.20
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.190.0-8.mga7
+ Revision: 1270226
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.190.0-7.mga6
+ Revision: 1031522
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.190.0-6.mga6
+ Revision: 932180
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.190.0-5.mga5
+ Revision: 740190
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.190.0-4.mga5
+ Revision: 685767
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.190.0-3.mga4
+ Revision: 513734
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.190.0-2.mga3
+ Revision: 371037
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.190.0-1.mga1
+ Revision: 26780
- mageia rebuild
- imported package perl-OLE-Storage_Lite

